﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;
using Syncfusion.Windows.Forms.Tools;

namespace VisualStyle
{
    public partial class Form1 : RibbonForm
    {
        #region Initialization
        ListControl listCtrl = new ListControl();
        Docking docking = new Docking();
        Editors input = new Editors();
        #endregion

        #region Constructor
        public Form1()
        {
            InitializeComponent();
            this.toolStripEx1.Items.Add(new ToolStripControlHost(this.buttonAdv1));
            listCtrl.MdiParent = this;
            listCtrl.Show();

            docking.MdiParent = this;
            docking.Show();
            docking.Location = new Point(this.listCtrl.Width + 5, this.docking.Location.Y);

            input.MdiParent = this;
            input.Show();
            input.Location = new Point(this.listCtrl.Location.X, this.listCtrl.Height + 5);
        }
        #endregion

        #region Events
        private void comboBoxAdv1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (this.comboBoxAdv1.SelectedIndex == 0)
            {
                this.comboBoxAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2007;
                this.buttonAdv1.Appearance = ButtonAppearance.Office2007;
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2007;
                this.listCtrl.comboBoxAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2007;
                this.listCtrl.comboBoxAutoComplete1.VisualStyle = Syncfusion.Windows.Forms.Tools.ThemedComboBoxStyles.Office2007;
                this.listCtrl.comboBoxBase1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2007;
                this.listCtrl.comboDropDown1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2007;
                this.listCtrl.multiColumnComboBox1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2007;
                this.listCtrl.fontComboBox1.VisualStyle = Syncfusion.Windows.Forms.Tools.ThemedComboBoxStyles.Office2007;
                this.docking.dockingManager1.VisualStyle = Syncfusion.Windows.Forms.VisualStyle.Office2007;
                this.input.dateTimePickerAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2007;
                this.input.monthCalendarAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2007;
            }
            else if (this.comboBoxAdv1.SelectedIndex == 1)
            {
                this.comboBoxAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2010;
                this.buttonAdv1.Appearance = ButtonAppearance.Office2010;
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2010;
                this.listCtrl.comboBoxAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2010;
                this.listCtrl.comboBoxAutoComplete1.VisualStyle = Syncfusion.Windows.Forms.Tools.ThemedComboBoxStyles.Office2010;
                this.listCtrl.comboBoxBase1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2010;
                this.listCtrl.comboDropDown1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2010;
                this.listCtrl.multiColumnComboBox1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2010;
                this.listCtrl.fontComboBox1.VisualStyle = Syncfusion.Windows.Forms.Tools.ThemedComboBoxStyles.Office2010;
                this.docking.dockingManager1.VisualStyle = Syncfusion.Windows.Forms.VisualStyle.Office2010;
                this.input.dateTimePickerAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2010;
                this.input.monthCalendarAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2010;
            }
            else if (this.comboBoxAdv1.SelectedIndex == 2)
            {
                this.ribbonControlAdv1.RibbonStyle = RibbonStyle.Office2013;
                this.buttonAdv1.Appearance = ButtonAppearance.Metro;
                this.comboBoxAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Metro;
                this.listCtrl.comboBoxAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Metro;
                this.listCtrl.comboBoxAutoComplete1.VisualStyle = Syncfusion.Windows.Forms.Tools.ThemedComboBoxStyles.Metro;
                this.listCtrl.comboBoxBase1.Style = Syncfusion.Windows.Forms.VisualStyle.Metro;
                this.listCtrl.comboDropDown1.Style = Syncfusion.Windows.Forms.VisualStyle.Metro;
                this.listCtrl.multiColumnComboBox1.Style = Syncfusion.Windows.Forms.VisualStyle.Metro;
                this.listCtrl.fontComboBox1.VisualStyle = Syncfusion.Windows.Forms.Tools.ThemedComboBoxStyles.Metro;
                this.docking.dockingManager1.VisualStyle = Syncfusion.Windows.Forms.VisualStyle.Metro;
                this.input.dateTimePickerAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Metro;
                this.input.monthCalendarAdv1.Style = Syncfusion.Windows.Forms.VisualStyle.Metro;
            }
        }
        #endregion
    }
}
